Loading...
Searching...
No Matches
Ogre::ZipArchiveFactory Class Reference
Core » Resources

Specialisation to allow reading of files from a zip format source archive. More...

`#include <OgreZip.h>`

Inheritance diagram for Ogre::ZipArchiveFactory:
[legend]

## Public Member Functions

virtual | ~ZipArchiveFactory ()
Archive * | createInstance (const String &name, bool readOnly) override
| Creates a new object.
const String & | getType (void) const override
| Returns the factory type.
Public Member Functions inherited from Ogre::ArchiveFactory
virtual | ~ArchiveFactory ()
Archive * | createInstance (const String &name) override
| Creates a new object.
Public Member Functions inherited from Ogre::FactoryObj< Archive >
virtual | ~FactoryObj ()
virtual void | destroyInstance (Archive *ptr)
| Destroys an object which was created by this factory.

## Detailed Description

Specialisation to allow reading of files from a zip format source archive.

This archive format supports all archives compressed in the standard zip format, including iD pk3 files.

## Constructor & Destructor Documentation

## ~ZipArchiveFactory()

virtual Ogre::ZipArchiveFactory::~ZipArchiveFactory | ( |  | ) |

inline virtual

## Member Function Documentation

## getType()

const String & Ogre::ZipArchiveFactory::getType | ( | void |  | ) | const

override virtual

Returns the factory type.

Returns
  The factory type.

Implements Ogre::FactoryObj< Archive >.

References Ogre::ArchiveFactory::createInstance().

## createInstance()

Archive * Ogre::ZipArchiveFactory::createInstance | ( | const String & | name,
|  | bool | readOnly )

override virtual

Creates a new object.

Parameters

  name | Name of the object to create
  readOnly | whether the Archive is read only

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::ArchiveFactory.

The documentation for this class was generated from the following file:

- OgreZip.h